#
# spec file for package hanout (Version 0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         hanout
Copyright:    Public domain, Freeware
Group:        Extensions/Korean
Autoreqprov:  on
Summary:      Quick hack for X Hangul display
Version:      0.1
Release:      133
Source:       hanout.c
BuildRoot:    /var/tmp/%{name}-root

%description
Hanout is just a quick(but powerful) hack for Hangul display in X.

Authors:
--------
    ChiDeok Hwang <Hwang@mizi.co.kr>

SuSE series: han


%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p %{buildroot}%{_prefix}/lib
gcc -shared -I/usr/X11R6/include %{SOURCE0} -L/usr/X11R6/lib -lX11 -ldl \
	-o %{buildroot}%{_prefix}/lib/hanout.so

%clean
rm -rf %{buildroot}

%files -n hanout
%{_prefix}/lib/hanout.so

%changelog -n hanout
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Thu Jan 11 2001 - violiet@susekorea.net
- change license. (Public domain, Freeware)
* Tue Nov 28 2000 - violiet@susekorea.net
- initial RPM release for SuSE Linux.
